package WebFlow.EventTest2; 
import WebFlow.event.*; 
import WebFlow.*; 
import java.util.*; 
import WebFlow.EventTest1.*;

import java.io.*; 
import java.awt.*; 
import java.awt.event.*; 
import javax.swing.*; 

public class EventTest2Impl extends BeanContextChildSupport
                  implements WebFlow.EventTest2.EventTest2Operations
{
    String msg_ ; 
    org.omg.CORBA.Object peer ; 

    public static int numClicks = 0 ;   // number of button clicks 
    public static String message = "Number of Button Clicks:"+numClicks;
    public static JLabel label2 = new JLabel(message); 
    public static JButton beep = new JButton("Beep"); 

    public Component createComponents(){
        
	JPanel pane2 = new JPanel(); 
	pane2.setBorder(BorderFactory.createEmptyBorder(10,10,10,10)); 
	pane2.setLayout(new GridLayout(0,1)); 
	pane2.add(beep); 
	pane2.add(label2); 
	
	beep.setBackground(Color.cyan); 
	beep.setForeground(Color.blue); 
	
	return pane2; 
    }

    public EventTest2Impl(org.omg.CORBA.Object peer , String msg) 
	throws WebFlow.NullPointerException
    {
	super(peer); 
	this.peer = peer ; 
	msg_ = msg ; 
    }   

    public String test() {
	return "Response module is up!!!!!!!";
    }

    public void runvision2()
    {
	System.out.println("Frame2 in vision"); 
	
	final  JFrame frame2 = new JFrame("Action Response");
	frame2.getContentPane().add(createComponents() ,
				    BorderLayout.CENTER); 
	frame2.pack(); 
	frame2.setVisible(true); 
  
	/*
	actionEvent aevt = new actionEventImpl(getBeanContextChildPeer() ,
					       "Show2"); 
	fireEvent("Fire_Vision2" , aevt);
	*/
    }

    public  void act(actionEvent e)
    {
	Toolkit.getDefaultToolkit().beep();
	beep.setBackground(Color.red); 
	beep.setForeground(Color.black); 
	numClicks++ ; 
	message = "Number of Button Clicks:" +numClicks; 
	label2.setText(message); 
    }

    public void getEvent(org.omg.CORBA.Object to)
    {
	System.out.println("getEvent is called: ResponseImpl"); 
     
	actionEvent gevt = actionEventHelper.narrow(to); 
      
	String eType = gevt.eventType();

	beep.setBackground(Color.cyan);
	beep.setForeground(Color.blue);

	if(eType.equals("Fire"))
	    {
		System.out.println("I got an fire_event") ;
		act(gevt); 
         
	    }
	else if(eType.equals("Reset"))
	    {
		System.out.println("I got an reset event") ;
		numClicks = 0 ; 
		message = "Number of Button Clicks:" +numClicks;
		label2.setText(message); 
		
	    }
	else if(eType.equals("Quit"))
	    {
		System.out.println("I got a quit event"); 
	    }
    }    
}

